package com.ibm.ccl.ua.generators.sitexml;

import java.io.File;

import org.eclipse.ant.core.IAntPropertyValueProvider;

public class JarAntTask implements IAntPropertyValueProvider {

	public final String JAR_EXTENSION =".jar";
	
	public String getAntPropertyValue(String antPropertyName) {

		int index = antPropertyName.lastIndexOf('.');
		String entry = antPropertyName.substring(index + 1);
		
		String FeatureName = AntUtil.getFeatureName();
		String FeatureSource = AntUtil.getFeatureSource() + File.separator + FeatureName;
		String FeatureDestination = AntUtil.getFeatureDestination() + File.separator + FeatureName + JAR_EXTENSION;

		if (entry.equals("source"))
			return FeatureSource;
		if (entry.equals("destination"))
			return FeatureDestination; //Save the jarred feature in the user directory
		else
			return null;

	}

}
